# -*- encoding: utf-8 -*-
# stub: azure_mgmt_search 0.17.2 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_mgmt_search".freeze
  s.version = "0.17.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/Azure/azure-sdk-for-ruby/issues", "changelog_uri" => "https://github.com/Azure/azure-sdk-for-ruby/blob/master/ChangeLog.md", "documentation_uri" => "https://azure.microsoft.com/en-us/develop/ruby/", "homepage_uri" => "https://aka.ms/azure-sdk-for-ruby", "source_code_uri" => "https://github.com/Azure/azure-sdk-for-ruby/tree/master/management/azure_mgmt_search" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2022-10-26"
  s.description = "Microsoft Azure Search Management Client Library for Ruby".freeze
  s.email = "azrubyteam@microsoft.com".freeze
  s.files = ["LICENSE.txt".freeze, "lib/2015-08-19".freeze, "lib/2015-08-19/generated".freeze, "lib/2015-08-19/generated/azure_mgmt_search".freeze, "lib/2015-08-19/generated/azure_mgmt_search.rb".freeze, "lib/2015-08-19/generated/azure_mgmt_search/admin_keys.rb".freeze, "lib/2015-08-19/generated/azure_mgmt_search/models".freeze, "lib/2015-08-19/generated/azure_mgmt_search/models/admin_key_kind.rb".freeze, "lib/2015-08-19/generated/azure_mgmt_search/models/admin_key_result.rb".freeze, "lib/2015-08-19/generated/azure_mgmt_search/models/check_name_availability_input.rb".freeze, "lib/2015-08-19/generated/azure_mgmt_search/models/check_name_availability_output.rb".freeze, "lib/2015-08-19/generated/azure_mgmt_search/models/hosting_mode.rb".freeze, "lib/2015-08-19/generated/azure_mgmt_search/models/identity.rb".freeze, "lib/2015-08-19/generated/azure_mgmt_search/models/operation.rb".freeze, "lib/2015-08-19/generated/azure_mgmt_search/models/operation_display.rb".freeze, "lib/2015-08-19/generated/azure_mgmt_search/models/operation_list_result.rb".freeze, "lib/2015-08-19/generated/azure_mgmt_search/models/provisioning_state.rb".freeze, "lib/2015-08-19/generated/azure_mgmt_search/models/query_key.rb".freeze, "lib/2015-08-19/generated/azure_mgmt_search/models/resource.rb".freeze, "lib/2015-08-19/generated/azure_mgmt_search/models/search_management_request_options.rb".freeze, "lib/2015-08-19/generated/azure_mgmt_search/models/search_service.rb".freeze, "lib/2015-08-19/generated/azure_mgmt_search/models/search_service_status.rb".freeze, "lib/2015-08-19/generated/azure_mgmt_search/models/sku.rb".freeze, "lib/2015-08-19/generated/azure_mgmt_search/models/sku_name.rb".freeze, "lib/2015-08-19/generated/azure_mgmt_search/models/unavailable_name_reason.rb".freeze, "lib/2015-08-19/generated/azure_mgmt_search/module_definition.rb".freeze, "lib/2015-08-19/generated/azure_mgmt_search/operations.rb".freeze, "lib/2015-08-19/generated/azure_mgmt_search/query_keys.rb".freeze, "lib/2015-08-19/generated/azure_mgmt_search/search_management_client.rb".freeze, "lib/2015-08-19/generated/azure_mgmt_search/services.rb".freeze, "lib/azure_mgmt_search.rb".freeze, "lib/module_definition.rb".freeze, "lib/profiles".freeze, "lib/profiles/latest".freeze, "lib/profiles/latest/modules".freeze, "lib/profiles/latest/modules/search_profile_module.rb".freeze, "lib/profiles/latest/search_latest_profile_client.rb".freeze, "lib/profiles/latest/search_module_definition.rb".freeze, "lib/version.rb".freeze]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Official Ruby client library to consume Microsoft Azure Search Management services.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_runtime_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  end
end
